Returns the Regex's pattern

- « MongoDB\BSON\Regex::getFlags

- MongoDB\BSON\Regex::jsonSerialize »

- PHP Manual
- MongoDB\BSON\Regex
- Returns the Regex's pattern

# MongoDB\BSON\Regex::getPattern

(mongodb >=1.0.0)

MongoDB\BSON\Regex::getPattern — Returns the Regex's pattern

### Description

final public MongoDB\BSON\Regex::getPattern(): string

### Parameters

This function has no parameters.

### Return Values

Returns the Regex's pattern.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\Regex::getPattern() example

    <?php$regex = new MongoDB\BSON\Regex('regex', 'i');var_dump($regex->getPattern());?>

The above example will output something similar to:

    string(5) "regex"

### See Also

- » BSON Types